
QGIS Application - Bug report #4684

JOIN error

2011-12-20 02:32 AM - alobo -

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: all Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 14570

Description

I use Properties/JOINS to join a dbf table to a vector layer

(fields ISO and ISO3 respectively). The Join works, but

I get the following error when I  try to save the vector layer as

a new shapefile:

Export to vector file failed.

Error: Feature write errors:

Invalid variant type for field X

11

: received void with type

Invalid variant type for field X

11

: received void with type

(many times repeated)

Only 24 of 246 features written.

The new layer is actually written (despite claiming "Export to vector

failed") but only those countries with data in the dbf are available

Instead, the old Vector/Data Management Tools/Join Attributes

works fine. I suggest having that part of the Vector plugin back, even

if redundant, until we reach operational equivalence.

I provide the layer and dbf:

https://sites.google.com/site/filestemp2/home/wrld_simpl.zip

https://sites.google.com/site/filestemp2/home/owlslive.dbf

I'm using 1.7.3 from ubuntigis-unstable binaries for ubuntu 10.04

History

#1 - 2011-12-21 01:47 PM - Marco Hugentobler

- Status changed from Open to Resolved

Fixed in master, commit 7f0dc3c25403f418023730b4b4677a16c0a5c39e

#2 - 2011-12-21 11:39 PM - Werner Macho

- Resolution set to fixed

- Status changed from Resolved to Closed

backported to release-1_7 and release-1_8
